Subject: bug#54296: Add buffer-matching functionality

From: Philip Kaludercic <[email-masked]>
Date: Wed, 15 Jun 2022 16:59:18 +0000

Eli Zaretskii <[email-masked]> writes:

>> Date: Wed, 15 Jun 2022 14:48:52 +0300
>> Cc: [email-masked], [email-masked], [email-masked]
>> From: Dmitry Gutov <[email-masked]>
>> 
>> On 15.06.2022 05:33, Eli Zaretskii wrote:
>> > This seems to be some misunderstanding.  I wanted us to have only
>> > 'derived-mode', not 'major-mode'.
>> 
>> Okay?...
>> 
>> > But Philip was unhappy about that,
>> > due to existing usage of 'major-mode', and eventually 'major-mode' was
>> > left in the code.  Or at least this is my recollection of the
>> > discussion and its resolution.
>> 
>> 'major-mode' was left in the code and in the docs, but its meaning was 
>> changed. Hence the backward compatibility concern.
>> 
>> And 'derived-mode' was dropped.
>> 
>> Or you could say that 'major-mode' was dropped, and 'derived-mode' was 
>> left it, but renamed.
>
> Then I'm sorry, but I don't think I have anything to do with that
> change.  If I somehow cause Philip to make such changes, I apologize,
> because I never meant anything even close (and cannot understand how
> what I wrote could have interpreted to that effect, but that's water
> under the bridge).
>
> Once again, my only comment about the code was that I thought (and
> still think) we should not use major-mode matching, but derived-mode
> matching instead.

I have to apologise myself, first of all for the mistake in the current
implementation and second of all for the late response.  I should have
clarified what I was doing, and had assumed your comments were blocking
requirements for me to push any changes.